%{?nodejs_find_provides_and_requires}

Name:           nodejs-iconv
Version:        2.1.11
Release:        8%{?dist}.1
Summary:        Text recoding in JavaScript for fun and profit

License:        ISC
URL:            https://github.com/bnoordhuis/node-iconv
Source0:        https://registry.npmjs.org/iconv/-/iconv-%{version}.tgz
Patch0:         nodejs-iconv-system-iconv.patch
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp

BuildRequires:  npm(nan) >= 2.1.0
BuildRequires:  npm(tap)

%{?nodejs_default_filter}


%description
%{summary}.


%prep
%autosetup -p 1 -n package
%nodejs_fixdep -r nan
%nodejs_fixdep --dev nan "^2.1.0"
rm -rf deps support node_modules


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
node-gyp rebuild


%install
mkdir -p %{buildroot}%{nodejs_sitearch}/iconv/build/Release
cp -pr package.json lib %{buildroot}%{nodejs_sitearch}/iconv
install -p -m755 build/Release/iconv.node %{buildroot}%{nodejs_sitearch}/iconv/build/Release
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
mkdir test/tmp
%{nodejs_sitelib}/tap/bin/tap.js test/test-*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitearch}/iconv


%changelog
* Thu Apr 28 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.1.11-8.1
- Rebuild for Node.js 4.4.3 downgrade

* Tue Mar 29 2016 Tom Hughes <tom@compton.nu> - 2.1.11-8
- Rebuild for Node.js 5.x

* Wed Mar 23 2016 Tom Hughes <tom@compton.nu> - 2.1.11-7
- Rebuild for Node.js 4.4.x

* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 2.1.11-6
- Rebuild for Node.js 4.3.x

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec  4 2015 Tom Hughes <tom@compton.nu> - 2.1.11-4
- Rebuild for nodejs 4.2.3

* Wed Dec  2 2015 Tom Hughes <tom@compton.nu> - 2.1.11-3
- Rebuild for nodejs 4.2

* Wed Nov 25 2015 Tom Hughes <tom@compton.nu> - 2.1.11-2
- Fix rpmlint and checksec warnings
- Make npn(nan) a build time dependency only

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 2.1.11-1
- Initial build of 2.1.11
